﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Line_Effects_Script : MonoBehaviour {

    public LineRenderer line;

    public void set_effect(int i)
    {
        if (i == 1)
        {
            StartCoroutine("hit_passable");
        }
        if(i==2)
        {
            StartCoroutine("hit_good");
        }
        if(i==3)
        {
            StartCoroutine("hit_great");
        }
    }

    public IEnumerator hit_passable()
    {
        for (float i = 1; i >= 0; i = i - 0.1f)
        {
            line.startColor = new Color(0.5f,0.5f,0.5f,i);
            line.endColor = new Color(0.5f, 0.5f, 0.5f, i);
            line.widthMultiplier = 3-i;
            yield return null;
        }
    }

    public IEnumerator hit_good()
    {
        for (float i = 1; i >= 0; i = i - 0.1f)
        {
            line.startColor = new Color(0.5f, 0.5f, 0.5f, i);
            line.endColor = new Color(0.5f, 0.5f, 0.5f, i);
            line.widthMultiplier = 4-i;
            yield return null;
        }
    }

    public IEnumerator hit_great()
    {
        for (float i = 1; i >= 0; i = i - 0.1f)
        {
            line.startColor = new Color(0.5f, 0.5f, 0.5f, i);
            line.endColor = new Color(0.5f, 0.5f, 0.5f, i);
            line.widthMultiplier = 6-i;
            yield return null;
        }
    }

}
